Jump to content

The first step for updating is downloading and installing HX Edit 3.0


phil_m
 Share

Recommended Posts

6 minutes ago, dougabrams said:

I am having the same issue.  My HX Stomp firmware updated to 3.0. Neither Helix Edit nor Helix Native will update to 3.0.  I am using Windows 10.  There is clearly a bug in 3.0.  

 Do you have an SD card inserted in your computer?

Link to comment
Share on other sites

Just now, dougabrams said:

I am having the same issue.  My HX Stomp firmware updated to 3.0. Neither Helix Edit nor Helix Native will update to 3.0.  I am using Windows 10.  There is clearly a bug in 3.0.  

 

Check out the solution to the SD card issue phil_m mentions above, if that is not your issue please proceed.

 

You mention "Neither Helix Edit nor Helix Native will update to 3.0" . Do you mean they won't install or they don't come up when you open them? Have you downloaded and installed the 3.0 versions of HX Edit and Native?  Just updating the firmware is only half of the update operation.  I would try taking backups and uninstalling them first. Then download and install again.

 

See datacommando's post above a few posts before this one for detailed instructions.  

 

Link to comment
Share on other sites

18 minutes ago, Ryner said:

It's not, that you can't download the HX Edit 3.0 File. You can also install the new HX Edit 3.0, but it will not open. 

You click on the icon, the circle is spinning a second or so, and then....nothing. 

 


Hi,

 

Failing to open would appear that something might have got corrupted. When you go to the Downloads page on the EULA section when you click on “Accept & Download” the server performs a checksum routine on the file. If it passed that it should be a good download. I can only suggest that you try downloading again using a different web browser to see if that helps. The reason I mention this is because there had been a spate of messed up downloads of installers by some people using Firefox and that was screwing up the install.

 

There again, a restart is always a good idea after updating/installing software.

 

Hope this helps people/makes sense.

Link to comment
Share on other sites

Just now, Ryner said:

Thanks for your reply. 

I looked to the checksum - ok, tried edge - did not open, tried IE - nothing, tried Firefox - nothing, made Windows Update to 20H2 and started again - nothing. 

Really need an idea, I am at the end of my line

 

I would uninstall the Line6 software and driver. Disconnect any non-critical peripheral devices. Reboot my PC. It almost sounds like you are downloading the 3.0 flash/firmware file rather than HX Edit but still not exactly sure from your post.  Download the HX Edit 3.0 file from the website(don't download the flash file, just HX Edit), you will have to scroll down to get to the HX Edit 3.0 file.  Install HX Edit 3.0 again with all the checkboxes checked.

Link to comment
Share on other sites

Yes, I am sure that we are talking about HX Edit. The HX Stomp is working good with 3.01. No Problems

so far with the Stomp. A few Minute ago I loaded 2.90 (because if you want get 2.92 working, you have to load 

and install 2.90 first). I installed 2.90 and it opened immediately. Then I loaded 3.0.... nothing. The only USB 

plug that I have in my PC is the wireless mouse and keyboard. 

Link to comment
Share on other sites

4 hours ago, Ryner said:

A few Minute ago I loaded 2.90 (because if you want get 2.92 working, you have to load 

and install 2.90 first). I installed 2.90 and it opened immediately. Then I loaded 3.0.... nothing.


Damn, that’s weird.
 

I’m not a Windows user so really, if you have already checked out infamous SD Card/ Drive 0 thing mentioned by HonestOpinion and phil_m in their posts above, then it’s beyond my scope. 
 

The only thing I can offer is that you may find something in this thread:

 

https://line6.com/support/topic/49342-hx-edit-281-and-helix-native-starting-with-with-a-blank-screen-and-crash/page/3/?tab=comments#comment-355919

 

Hope this helps/makes sense.

  • Upvote 1
Link to comment
Share on other sites

2 hours ago, Ryner said:

Yes, I am sure that we are talking about HX Edit. The HX Stomp is working good with 3.01. No Problems

so far with the Stomp. A few Minute ago I loaded 2.90 (because if you want get 2.92 working, you have to load 

and install 2.90 first). I installed 2.90 and it opened immediately. Then I loaded 3.0.... nothing. The only USB 

plug that I have in my PC is the wireless mouse and keyboard. 

 

Just now, datacommando said:


Damn, that’s weird.
 

I’m not a Windows user so really, if you have already checked out infamous SD Card/ Drive 0 thing mentioned by HonestOpinion and phil_m in their posts above, then it’s beyond my scope. 
 

The only thing I can offer is that you may find something in this thread:

 

https://line6.com/support/topic/49342-hx-edit-281-and-helix-native-starting-with-with-a-blank-screen-and-crash/page/3/?tab=comments#comment-355919

 

Hope this helps/makes sense.

 

Like datacommando I am mystified. Might be time to open a ticket with Line6. Btw, if you only get the problem with HX Edit not opening with the HX Stomp plugged in, try alternate USB ports and a different USB cable. There are other posts in the topic that datacommando referenced that give additional details on getting to the fix but start with this one.

 

 

  • Like 1
Link to comment
Share on other sites

17 minutes ago, HonestOpinion said:

a different USB cable

 

Just last week I noticed that my Stomp wouldn't work with one of my "vintage" USB cables that must be about 20 years old. Also, it's quite a long one – which would have been useful, given that usually we'd put our Stomps on the floor. That cable itself works with my scanners and printers.

Link to comment
Share on other sites

10 hours ago, lou-kash said:

 

Just last week I noticed that my Stomp wouldn't work with one of my "vintage" USB cables that must be about 20 years old. Also, it's quite a long one – which would have been useful, given that usually we'd put our Stomps on the floor. That cable itself works with my scanners and printers.


Hi,

 

This seems to be some sort of USB voodoo, because for many years now people have said that they had issues with the original cable that came with their hardware. Others have said that, if you have an existing one, just because it works with your printer or other peripheral equipment, that’s no guarantee that it will work with Line 6 items. Others report that using a shorter cable works, yet some one else might say that a longer one works fine for them. It’s a complete mystery and a somewhat like a lottery. It totally baffles me that the majority of users can perform a painless and quick update to the firmware, and others experience absolute chaos. It’s completely inexplicable, too many variables - l must live on a ley line. 
 

Line 6 posted this way back in 2006

 

 

Link to comment
Share on other sites

1 minute ago, datacommando said:

for many years now people have said that they had issues with the original cable that came with their hardware

 

I haven't actually used that one yet. Hm, I don't even remember where it is or which one it is. Likely somewhere in a box with dozens of other USB-A-to-B cables that I have accumulated through the past 2 decades.

 

13 minutes ago, datacommando said:

It’s a complete mystery and a somewhat like a lottery.

 

To connect the Stomp from the floor to the MacBook Pro on the shelf, I'm using a 1.8 m cable that apparently belonged to a scanner. At least that's what someone wrote on it. No idea where I got it from, it must be at least 10 years old. It's classified as "Hi-Speed USB Revision 2.0 Shielded" and has a magnetic ring on each end. It just works.

 

Whereas that aforementioned long vintage cable has no magnetic rings and is one of those "transparent-iMac-ish" kind of design, i.e. transparent plastic.

  • Like 1
Link to comment
Share on other sites

4 minutes ago, lou-kash said:

I haven't actually used that one yet.


Same here. When I took the Helix floor out of the box, I simply connected the first one to hand. It’s been like that ever since. Also, the ones with the ferrite ring on the ends, never seemed to make a great deal of difference when I’ve used them. Just plug in and hope for the best.

 

 

Link to comment
Share on other sites

59 minutes ago, datacommando said:

This seems to be some sort of USB voodoo

 

In general, that's why I have always preferred Firewire for anything mission critical.

Ah, Firewire was brilliant as long as it lasted…

 

Actually it still lasts, haha:

Just last week I had a recording session as a sound engineer with a children's choir. I'm still using a bunch of my "vintage" Firewire interfaces for mobile recording – Alesis IO26 from 2007 (I think), and M-Audio Firewire 410 that I bought in 2003 (!). The latter still works on El Capitan, after I have found some reverse engineered drivers online. I can create an Aggregate Device which then gives me either 10 mic channels or a total of 16 line channels – including the HX Stomp via USB and the MacBook built-in line input. It just works!

Anyway… To be Corona-safe, I bought for this session a new 10 m Firewire cable – the 9-to-6 version, as both the Alesis and the FW410 only have Firewire 400.

Yep, they still sell them.

It. Just. Works.

Amazing!

 

[/offtopic]

Edited by lou-kash
Link to comment
Share on other sites

42 minutes ago, lou-kash said:

[/offtopic]


[/offtopic]
 

Ah, FireWire! I gave away my Focusrite Saffire setup when I moved to the Retina 5k iMac which is Thunderbolt 2, and is outrageously expensive. I bought the Thunderbolt to FireWire cables and wasn’t impressed. It might be slick but it’s not for me - I just use the Helix and USB for my needs right now.

 

Link to comment
Share on other sites

9 minutes ago, datacommando said:

USB for my needs

 

USB 3.x has at least fixed the data throughput issues on Mac. USB 2.0 on Mac was abysmal compared to Firewire 400, even though theoretically it should have been just as fast. That was particularly critical when using external hard drives for multitrack recording. My 2007 mobile studio setup was a PoweBook G4 (2005) and Alesis IO26 which has two FW400 ports. I could simply hook up a Lacie Firewire drive to the IO26's 2nd port and it just worked.

 

19 minutes ago, datacommando said:

Focusrite Saffire

 

I have never tried those. I guess they were slightly over my budget…

The Alesis IO26 is brilliant for my purposes because it also has a phono preamp. In my studio I'm using it for digitizing vinyl all the time. In fact, the device just works as a mic/line/phono/headphones preamp without even pluging it into a computer, although you need to set up the clock and the channel routing via software first.

Do they still manufacture stuff like this somewhere…?

  • Like 1
Link to comment
Share on other sites

First of all, I am very pleased to learn that you all try hard to help. Thanks for that. 

One Information was not said by me. When I make a fresh Installation of HX Edit 3.0 with all check boxes checked, I also install the Line 6 updater (for the Stomp). This is working without any problems. So my Stomp is ok with the update 3.01.

I can record over the Stomp via USB to Audacity - no problem. Only the damned HX Edit don't want to open at all. 

Link to comment
Share on other sites

Ok, I'm in the same boat as @samrichardsam and @marcofiorini. Helix Floor was on 2.90, updated today to 2.92, then updated HX Edit to 3.0. Upon launching HX Edit 3.0, it indicates Helix Floor is 2.92 (correct): 

 

Note absence of "Check for updates in lower right. OK.... click on the icon, tab to View, click Check for Updates button. Utter fail - "Your floor device is up to date with firmware version 2.92":

 

I'm about to try the Updater route. Thanks @datacommando for that suggestion. However, your statement that "No need to report to Line 6, because so far, everyone that I have pointed to this information has managed to successfully perform and update to version 3 of the Firmware." seems pretty absurd to me. Obviously, there are multiple accounts of people running up against this problem. Manifestly, the standard update process is not working as intended for some subset of the user population. Most germanely, Line 6 cannot correct a defect of which they are unaware. OF COURSE it should be reported to Line 6.

 

With that off my chest, I'm off to try the Updater route. Wish me luck.

(Mac OS X 10.10.5)

Screen Shot 2020-12-12 at 3.03.36 PM.png

Screen Shot 2020-12-12 at 3.05.56 PM.png

Link to comment
Share on other sites

...and to heap additional aggravation onto those already feeling scorned, the links provided to Line 6 Updater -- both in the thread above, and in the Install instructions -- and for both Mac and Win -- are broken.

 

Simple matter to find the relevant files. Fortunately, I'm not particularly flustered by this. But imagine the plight of the poor technophobe who was worried enough they might completely brick their multi-hundred-dollar wunderbox even before hitting the first snag.

Link to comment
Share on other sites

Hilarious.

Frustrating

Hilariously frustrating.

Grr.

 

Downloaded and installed the latest Line 6 Updater. Launched it. It found my Helix floor (good)... detected that it is on 2.92 (good)... and went on to FAIL UTTERLY in thinking that there is nothing newer to install :

 

::sigh::

Screen Shot 2020-12-12 at 3.28.17 PM.png

Link to comment
Share on other sites

42 minutes ago, jbreher said:

Hilarious.

Frustrating

Hilariously frustrating.

Grr.

 

Downloaded and installed the latest Line 6 Updater. Launched it. It found my Helix floor (good)... detected that it is on 2.92 (good)... and went on to FAIL UTTERLY in thinking that there is nothing newer to install :

 

::sigh::


Hello,

 

In your hilariously frustrating attempt to follow the Line 6 Updater routine did you also follow my “absurd” instruction to download the flash memory firmware file to perform the “Local file” installation.

 

I only ask this, because when you have the Line 6 Installer up and running and it detects your Helix, then you should click on the “Choose File” button to select the firmware which you downloaded to you computer and let it get on with the update without having to communicate over the internet, which even in 2020 can be problematic.

 

If you have no success with this, it may be something serious in the hardware, then you will need to contact Line 6 Customer Service and see if they can help.

 

Hope this is more helpful than absurd.

 

 

Link to comment
Share on other sites

Hi @datacommando . As reported above, I seem to now be operational on 3.01.

 

It is not that your suggestion to separately download the FW was absurd. No, my usage of that term was quite clearly directed at the idea that Line 6 should not be notified about this defect which is causing consternation to multiple parties. Indeed, they have provided suitable workarounds to get over the finish line. But quite clearly, this is not normal expected operation. And as a former embedded SW dev myself, I know I'd appreciate being notified of repeatable deviations from expected operation. I assume they would too. That is all.

  • Like 1
Link to comment
Share on other sites

10 hours ago, jbreher said:

No, my usage of that term was quite clearly directed at the idea that Line 6 should not be notified about this defect which is causing consternation to multiple parties. Indeed, they have provided suitable workarounds to get over the finish line. But quite clearly, this is not normal expected operation.


The idea of notifying Line 6 is a moot point, because they are obviously already aware of this - as you so rightly noted: 
“they have provided suitable workarounds to get over the finish line”


They even go so far as to state in the release notes for the firmware:

IMPORTANT! In the unlikely event that your update fails, please follow the steps below:


Not normal expected operation, that’s true, but also not exactly a secret as it is documented. That’s all.

Link to comment
Share on other sites

  • 2 weeks later...

I am continuing to have the same issues with both Helix Native 3.01 and  HX Edit 3.0 causing my Windows 10  unit to crash.  I have tried them on two different Dell computers.  The highest version of HX Edit that will load is 2.92. The highest version of Helix Native is 1.90.  I am however becoming proficient and deleting all the remnants of Helix Native 3.01 and HX Edit 3.0.  In the meantime, I have had no problem with the plugins from Amplitude 5, Waves, Positive Grid, and Nembrini Audio.  

 

  

Link to comment
Share on other sites

17 hours ago, dougabrams said:

 

I am continuing to have the same issues with both Helix Native 3.01 and  HX Edit 3.0 causing my Windows 10  unit to crash. 

 


Hi,

 

Could it be that you are suffering the old and notorious Micro SD card issue? 

 

https://line6.com/support/topic/49342-hx-edit-281-and-helix-native-starting-with-with-a-blank-screen-and-crash/page/3/

 

Also, somewhere on these threads I recall seeing a post about “a particular revision” of a Windows 10 update that seems to cure similar crash issues when there is no SD card involved. Have a trawl through the stuff to see if you can find the correct update number for Windows.

 

Found it - check the last comment about Windows 20H2.

 

https://line6.com/support/topic/58258-hx-edit-will-not-open/?tab=comments#comment-361421

 

Hope this helps/makes sense.

 

Edited by datacommando
Added link
Link to comment
Share on other sites

EUREKA!!!  Thank you very, very, very much!!!

 

  All it took was removing the SD card from my Dell laptop and both HX Edit 3.0 and Helix Native 3.1 downloaded and worked seamlessly.  I then put the SD card back in (being a glutton for punishment) and not surprisingly both programs crashed.  I t hen removed the SD card and both again worked.   Thank you very, very much!

 

  As to Line 6, seriously???  You have very sophisticated software and your software engineers couldn't figure out that SD cards could blow up their programs?  Then you don't put that in your notes to users?  I spent at least 40  hours trying to find the root cause; and the answer rested with datacommando!!!  

  • Thanks 1
  • Upvote 1
Link to comment
Share on other sites

4 hours ago, dougabrams said:

EUREKA!!!  Thank you very, very, very much!!!


Hey, the last time I shouted that, my bath overflowed!

 

Glad to know that fixed it, and now you’re fully functional.

 

Have fun with your new extras over the Yuletide.

 

Regards

 

 

 

Link to comment
Share on other sites

Hey Everyone, I am brand new (3 days) to the Helix. I am trying to update, but I cannot even get hx edit to download. Can someone please point me in the right direction? I just need to know where to download hx edit and then I will spend hours if I have to to figure out the rest. I have no idea where to look. I went to the software page, but whatever I downloaded did not install hx edit. Please and thank you!

Link to comment
Share on other sites

Click on the Downloads link at the top of this page. On the following page select HX Edit from the drop down menu in the software (middle) field. Hit the Go button to the right of the three selectable fields. On the following page, scroll down through all the information (several pages) until you see the blue Get Download button. Click on it.

 

The file you download is an installer file. Run it to install the HX Edit program as well as other components. Select to install all components. After installing, connect your Helix device to your computer via USB and run the newly installed HX Edit program. Then follow the instructions provided by the program.

Link to comment
Share on other sites

  • 3 weeks later...

I am having an issue updating to 3.1. I have 3.0 on both my Edit and LT, it goes through the backup and says it is starting the update, then it pretty much freezes at the point where it says the firmware has downloaded successfully. I can turn the device off and on, then it will switch to Rebooting device to prepare for update. Then it just sits there. Have never had an issue with any update.

Link to comment
Share on other sites

THIS!

 

I had the same problem and the person above has the answer but it seems like a lot of you haven't read it the fix.

 

You need to eject all the HX Edit installers that you have in here.

 

On the left of your Mac Finder where you see the below, REMOVE ANY THAT HAVE 2.92 IN IT.

 

Remove your HX edit software as well and run the 3.00 file again.

 

Screen Shot 2021-01-21 at 1.49.23 PM.png

Link to comment
Share on other sites

  • 2 weeks later...

Hi there, I seem to have a slightly different problem here: I just bought the Helix Rack and cannot get any connection with HX Edit on my computer. Every time I try to upgrade the Rack I get the message: "connection interrupted"

Not tha I just did the upgrade on the Helix Floor and to get a backup before putting it on sale a few day ago (same computer, same cable) and everything went fine...

The Helix Rack that I have is running on firmware 1.05.1.... Could the  be a problem? How should I proceed?

Thank you for your help.

Link to comment
Share on other sites

  • 3 weeks later...

Hello all,

      I am new to this whole world. I have recently acquired a floor Helix. I am extremely technically challenged. When i touch any computer they crash, my friends tease me and call me John Conner.   I apologize in advance for being such a rookie. I just did the update to 3.01.  everything seemed to go smooth. When I click on modulation effects  so I can check out the new effects,  i see the new effects but they are greyed out and cannot be clicked on.  I dont know if that is what it means when you say on here "you cannot see it"?   I see it but cannot click on it.     I read that 1st you need to update  the HX edit 1st,  then do the update.  Too late for me, I already installed the 3.01.  What do I do to make it so i can use the new effects on the 3.01 update?   do i have to uninstall the 3.01? if so  how do you Uninstall?. i could really use a play by play for  1st graders,  if any one has a suggestion i'd very much appreciate it.  Thank you 

Link to comment
Share on other sites

On 2/18/2021 at 12:37 AM, guitar1717 said:

Hello all,

      I am new to this whole world. I have recently acquired a floor Helix. I am extremely technically challenged. When i touch any computer they crash, my friends tease me and call me John Conner.   I apologize in advance for being such a rookie. I just did the update to 3.01.  everything seemed to go smooth. When I click on modulation effects  so I can check out the new effects,  i see the new effects but they are greyed out and cannot be clicked on.  I dont know if that is what it means when you say on here "you cannot see it"?   I see it but cannot click on it.     I read that 1st you need to update  the HX edit 1st,  then do the update.  Too late for me, I already installed the 3.01.  What do I do to make it so i can use the new effects on the 3.01 update?   do i have to uninstall the 3.01? if so  how do you Uninstall?. i could really use a play by play for  1st graders,  if any one has a suggestion i'd very much appreciate it.  Thank you 

 

It should be no problem. Just go ahead and download and install HX Edit 3.01 for your operating system(PC or Mac) .  You should not have to uninstall the firmware. Make backups although you were probably prompted to do that already when you upgraded to the 3.01 firmware.

 

In the way of further explanation there are essentially three components to an upgrade, the editor, drivers, and firmware.  The HX Edit(3.01 right now) package has the editor and drivers. Leave all the checkboxes checked when you install. The firmware upgrades the "OS"(loosely speaking) on your HX device. You need to have both matched versions, HX Edit and the firmware, when you do an upgrade.

 

Sometimes the version numbers have gotten out of synch with each other so "matched" does not necessarily mean the same version number. Right now though, they are synched and you should end up with HX Edit 3.01 and the 3.01 firmware as well. You can check this by starting HX Edit, going to 'Help' --> 'About HX Edit' on the menu at the top of the screen(with your HX device connected by USB) and checking the popup screen at the top and bottom to make sure the version numbers are matched.

 

From what I understand from hints and comments on the forum this may be the last time you have to worry about the firmware and the editor being mismatched as the 3.01 editor will at least prompt you to download and install the correct new HX Edit version before upgrading the firmware in the future. In other words future installs should get easier. Hopefully the install will be one step at some point with both HX Edit and the firmware being upgraded together.

Link to comment
Share on other sites

HonestOpinion, 

   Thank you for your response. Im still having the same issue. From the down loads page i selected HX Edit from the middle drop down menue. I look in my down loads file i see HXEditv3.01Installer.  which is the 1st one I installed onto my Helix originally.   Then on the down loads page I went to the drop down menue on the left "hardware"  went to Helix and down loaded that,  when I goto my down load folder it sez the exact same thing as the 1st download HXEditv3.01Installer (2)   its the same file right?    exact same amount of KB 89,875.  when i goto global settings on my Helix it sez Firmware version 3.01.0-5a8c6f1.  I see when i play into the Helix  i now have the input light up green showing signal in entering the preset. but when I goto the effects i see the new "poly" effects but they are greyed out and cannot be clicked on or selected. Seems like i got some new stuff but didnt get the effects stuff.  what should I do to make it so I can "ungreyout" the effects and be able to click on them?   I noticed That when I goto the line6 site and instead of clicking on downloads at the top right of the site, I click on the "line6 updater" (looks like a computer chip) it has "line 6 updater" as the headliner of the middle drop down menue on the downloads screen  and i see in the drop down sub menue "drivers"   could that be something i need to do? 

Link to comment
Share on other sites

I think i figured it out thanks to your help.  Like I said im a rookie and a half when it comes to computer stuff.  My main issue was i could see the new effcts but they where greyed out and could not be clicked on. I was trying to do that when i was in the factory one sounds. I noticed if i goto "new preset"   i can select any of the 3.01 effects and hear them.  So maybe the new 3.01 effects are too much DSP if you use a preset that already has several blocks on it.   Sorry about the self confusion, i really appreciate the help i received from the line 6 forum,  you guys ROCK! Thank You :)

Link to comment
Share on other sites

On 2/18/2021 at 1:38 PM, HonestOpinion said:

...

You can check this by starting HX Edit, going to 'Help' --> 'About HX Edit' on the menu at the top of the screen(with your HX device connected by USB) and checking the popup screen at the top and bottom to make sure the version numbers are matched.

 

...

 

14 hours ago, guitar1717 said:

HonestOpinion, 

   Thank you for your response. Im still having the same issue. From the down loads page i selected HX Edit from the middle drop down menue. I look in my down loads file i see HXEditv3.01Installer.  which is the 1st one I installed onto my Helix originally.   Then on the down loads page I went to the drop down menue on the left "hardware"  went to Helix and down loaded that,  when I goto my down load folder it sez the exact same thing as the 1st download HXEditv3.01Installer (2)   its the same file right?    exact same amount of KB 89,875.  when i goto global settings on my Helix it sez Firmware version 3.01.0-5a8c6f1.  I see when i play into the Helix  i now have the input light up green showing signal in entering the preset. but when I goto the effects i see the new "poly" effects but they are greyed out and cannot be clicked on or selected. Seems like i got some new stuff but didnt get the effects stuff.  what should I do to make it so I can "ungreyout" the effects and be able to click on them?   I noticed That when I goto the line6 site and instead of clicking on downloads at the top right of the site, I click on the "line6 updater" (looks like a computer chip) it has "line 6 updater" as the headliner of the middle drop down menue on the downloads screen  and i see in the drop down sub menue "drivers"   could that be something i need to do? 

 

It sounds like you may actually have the correctly matched version of the editor and firmware. What version numbers did you see when you checked the "About HX Edit" selection in HX Edit?  

 

This may be as simple as you have used up too much DSP in the path you have selected to use one of the "poly" effects. They are very DSP intensive. Helix greys out any effect you don't have enough DSP left for, poly or otherwise. Are you able to add a poly effect when you start from a blank preset?

 

You only need to use the Updater if you cannot upgrade your firmware from HX Edit and it sounds like you may have already successfully done that.

Link to comment
Share on other sites

8 minutes ago, guitar1717 said:

I think i figured it out thanks to your help.  Like I said im a rookie and a half when it comes to computer stuff.  My main issue was i could see the new effcts but they where greyed out and could not be clicked on. I was trying to do that when i was in the factory one sounds. I noticed if i goto "new preset"   i can select any of the 3.01 effects and hear them.  So maybe the new 3.01 effects are too much DSP if you use a preset that already has several blocks on it.   Sorry about the self confusion, i really appreciate the help i received from the line 6 forum,  you guys ROCK! Thank You :)

 

Heh, looks like you posted as I was responding. A fine job of self diagnosis, that was exactly the problem. Became more obvious from your second post.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...